Name:		techne
Version:	0.2.3
Release:	2%{?dist}
Summary:	A general purpose, programmable physical simulator and renderer

Group:		System Environment/Libraries
License:	GPLv3+
URL:		http://www.nongnu.org/techne/
Source0:	http://download.savannah.gnu.org/releases/techne/%{name}-%{version}.tar.gz

BuildRequires:	gcc-objc
BuildRequires:	ode-devel
BuildRequires:	lua-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	gtkglext-devel
BuildRequires:	openal-soft-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	plplot-devel


%description
Techne is a general purpose, programmable physical simulator and renderer.
It reads in a set of scripts wherein every aspect of a physical system is
specified and then proceeds to simulate and render the system onscreen.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
# remove a redundant README file in an unappropriate place
rm -f %{buildroot}/%{_docdir}/%{name}/README


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man*/*


%changelog
* Wed May 30 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-2
- Update to the *proper* 0.2.3 release tarball (upstream uploaded a new
  tarball with some minor fixes).

* Thu May 17 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.3-1
- Update to 0.2.3 (among other things it fixes build issues with GCC 4.7)
- Added new BuildRequires on plplot-devel

* Thu Mar 08 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-4
- Rebuild for new ImageMagick (6.7.5.x)

* Sat Jan 07 2012 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-3
- Rebuild for new GCC 4.7.x
- Dropped obsolete versioned BuildRequires on ode-devel
- Changes to the spec file that follow the latest Packaging Guidelines:
  - removed %%defattr sections which are no longer necessary

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.1-2
- Rebuild for new libpng

* Fri Feb 25 2011 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-1
- update to 0.2.1 (fixes build issues with GCC 4.6)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-1
- official 0.2 release

* Thu Dec 09 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-0.2
- implemented fixes suggested by Hans de Goede:
    - fixed ownership of unowned directories
    - fixed release field to reflect the fact that this is a pre-release

* Tue Dec 07 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-0.1
- initial package

